module Proof where

import Term
import Order

type Proof = (Order, (Term, Term))

showProof :: Proof -> String
showProof (o, (s, t)) = 
  (show o) ++ "\n\n" ++
  ("the condition " ++ show s ++ " ->> " ++ show t ++ " is unsatisfiable for all substitutions.")
